[arch-commits] Commit in xfce4-appfinder/repos (3 files)

Jan de Groot jgc at archlinux.org
Fri May 8 16:06:30 EDT 2009


    Date: Friday, May 8, 2009 @ 16:06:30
  Author: jgc
Revision: 38507

Merged revisions 38506 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xfce4-appfinder/trunk

........
  r38506 | jgc | 2009-05-08 20:06:14 +0000 (Fri, 08 May 2009) | 2 lines
  
  upgpkg: xfce4-appfinder 4.6.1-2
      Remove update-desktop-database call, it is not needed
........

Modified:
  xfce4-appfinder/repos/extra-x86_64/	(properties)
  xfce4-appfinder/repos/extra-x86_64/PKGBUILD
  xfce4-appfinder/repos/extra-x86_64/xfce4-appfinder.install

-------------------------+
 PKGBUILD                |    4 ++--
 xfce4-appfinder.install |    4 +---
 2 files changed, 3 insertions(+), 5 deletions(-)


Property changes on: xfce4-appfinder/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /xfce4-appfinder/trunk:1-36274
   + /xfce4-appfinder/trunk:1-38506

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-08 20:06:14 UTC (rev 38506)
+++ extra-x86_64/PKGBUILD	2009-05-08 20:06:30 UTC (rev 38507)
@@ -3,7 +3,7 @@
 
 pkgname=xfce4-appfinder
 pkgver=4.6.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Xfce application finder"
 arch=(i686 x86_64)
 license=('GPL2')
@@ -19,7 +19,7 @@
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib \
-    --localstatedir=/var --disable-static
+    --localstatedir=/var --disable-static || return 1
   make || return 1
   make DESTDIR=${pkgdir} install || return 1
 }

Modified: extra-x86_64/xfce4-appfinder.install
===================================================================
--- extra-x86_64/xfce4-appfinder.install	2009-05-08 20:06:14 UTC (rev 38506)
+++ extra-x86_64/xfce4-appfinder.install	2009-05-08 20:06:30 UTC (rev 38507)
@@ -1,14 +1,12 @@
 post_install() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
 post_upgrade() {
-  post_install $1
+  post_install
 }
 
 post_remove() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 



More information about the arch-commits mailing list